# Mass Payout (Toplu Ödeme) Entegrasyonu

Toplu Ödeme (Mass Payout) servisi, üye işyerlerinin tek bir işlemle birden fazla alıcıya ödeme göndermesine olanak tanır.\
Bu servis özellikle **pazaryerleri**, **freelance platformları**, **fintech çözümleri** ve **düzenli olarak birden fazla ödemenin işlendiği sistemler** için tasarlanmıştır.

**Mass Payout API** ile her bir ödeme için ayrı işlem başlatmak yerine, tek bir istekle birden fazla alıcıya ödeme yapabilirsiniz.

***

#### **Entegrasyon Öncesi Gereksinimler**

{% hint style="info" %}
Bu özelliği kullanabilmek için **iç kontrol ve onayı gerekmektedir**.\
Gerekli kontrollerin yapılması ve özelliğin aktif edilmesi için **iyzico destek ekibi** ile iletişime geçebilirsiniz.
{% endhint %}

### Entegrasyon Adımları

1. [Toplu Ödeme Başlatma](/urunler/mass-payout/mass-payout-toplu-odeme-entegrasyonu/toplu-odeme-baslatma.md)
2. [Toplu Ödeme Tamamlama](/urunler/mass-payout/mass-payout-toplu-odeme-entegrasyonu/toplu-odeme-tamamlama.md)
3. [Toplu Ödeme Raporlama](/urunler/mass-payout/mass-payout-toplu-odeme-entegrasyonu/toplu-odeme-raporlama.md)

## Örnek Uygulama

### Toplu Ödeme Başlatma

#### Örnek İstek

```json
{
    "externalId": "massPayoutId-323ddd",
    "conversationId": "conversationId-323f",
    "purpose" : "SALARY",
    "items": [
        {
            "itemExternalId": "ext-65656",
            "recipientType": "IBAN",
            "recipientInfo": "TR920086402100005482911108",
            "amount": {
                "value": 100,
                "currency": "TRY"
            },
            "description": "Payment for services",
            "recipientName": "John Doe"
        },
        {
            "itemExternalId": "ext-9545455",
            "recipientType": "MEMBER_ID",
            "recipientInfo": "2228853",
            "amount": {
                "value": 8000,
                "currency": "TRY"
            }
        },
        {
            "itemExternalId": "ext-545454542",
            "recipientType": "IDENTITY_NUMBER",
            "recipientInfo": "22222222220",
            "amount": {
                "value": 20000,
                "currency": "TRY"
            }
        },
         {
            "itemExternalId": "ext-50070945",
            "recipientType": "PHONE",
            "recipientInfo": "+905555555555",
            "amount": {
                "value": 7000,
                "currency": "TRY"
            }
        }

    ]
}
```

#### Örnek Yanıt

```json
{
    "status": "success",
    "systemTime": 1759231970716,
    "conversationId": "conversationId-894",
    "requestId": "79cdefc1-3ce6-4f51-bdd9-0c050274db64"
}
```

####

### Ödeme İşlemini Tamamlama

#### Örnek İstek

```json
{
    "requestId" : "79cdefc1-3ce6-4f51-bdd9-0c050274db64"
}
```

#### Örnek Yanıt

```json
{
    "status": "success",
    "systemTime": 1759231995145
}
```

####

### İşlem Sorgulama

#### Örnek İstek

<pre class="language-json"><code class="lang-json">{
    "requestId": "c95e344a-c7c9-4605-91b8-3f48ee9dece6",
    "externalMassPayoutId": "massPayoutId-323",
<strong>    "itemType": "VALID",
</strong>    "page": 0,
    "size": 40
}
</code></pre>

#### Örnek Yanıt

```json
{
    "status": "success",
    "systemTime": 1759155442830,
    "massPayout": {
        "externalId": "massPayoutId-323",
        "merchantId": 000000,
        "totalAmount": 201.00,
        "totalSuccessfulAmount": 0,
        "massPayoutStatus": "PUBLISHED_TO_QUEUE",
        "totalCommissionAmount": 0,
        "currency": "TRY"
    },
    "massPayoutItems": {
        "items": [
            {
                "itemExternalId": "ext-0077",
                "referenceCode": "a97b142a-1e22-4ceb-bafb-38d6c1c4a4f7",
                "recipientType": "IBAN",
                "recipientInfo": "TR920086402100005111981111",
                "recipientName": "John Doe",
                "description": "Payment for services",
                "itemStatus": "INIT",
                "errorMessages": [],
                "totalAmount": 100.50,
                "commissionAmount": 20.00000000,
                "currencyCode": "TRY"
            },
            {
                "itemExternalId": "ext-0099",
                "referenceCode": "050b8f81-aaf7-400d-80fa-21bbed27a816",
                "recipientType": "IBAN",
                "recipientInfo": "TR920086402100005111981111",
                "recipientName": "John Doe",
                "description": "Payment for services",
                "itemStatus": "INIT",
                "errorMessages": [],
                "totalAmount": 100.50,
                "commissionAmount": 20.00000000,
                "currencyCode": "TRY"
            }
        ],
        "page": 0,
        "size": 40,
        "total": 2
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/mass-payout/mass-payout-toplu-odeme-entegrasyonu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
